Bug 690185 - Uninstalling ipa-client doesn't restore some files, if reinstalled with -force option
Summary: Uninstalling ipa-client doesn't restore some files, if reinstalled with -forc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-23 14:29 UTC by Namita Soman
Modified: 2015-01-04 23:47 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Uninstalling a client that was reinstalling the --force option results in some files not being restored. Consequence: Uninstalling the client does not return it to its original state. Fix: The --force option was able to re-install over an already installed system causing the original saved files to be lost. Result: You can no longer re-install over an installed client with the --force option. You have to uninstall and re-install.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:21:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Namita Soman 2011-03-23 14:29:18 UTC
Description of problem:
Installed ipa client twice, the second time using -f. Uninstalled this client, and sssd.conf, krb5.conf, and ntp.conf were not restored.

After 2 installs, the original config files are not available, and uninstall doesn't restore correctly.

Version-Release number of selected component (if applicable):
ipa-client-2.0.0-13.20110310T0728zgited5cffd.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install ipa client 
2. Install again, this time using -f to reinstall over existing install
3. Uninstall
4. Check sssd.conf, ntp.conf and krb5.conf. 

Actual results:
These files are not restored to its original as before the first install was done.
  

Expected results:
Files should be in the state as before any installs were made.


Additional info:

Comment 2 Dmitri Pal 2011-03-23 19:28:48 UTC
https://fedorahosted.org/freeipa/ticket/1117

Comment 4 Martin Kosek 2011-04-29 07:30:22 UTC
Upstream commits:
master: 2e99c60c8b21723f86f86bedf1c37c51789f7bc8
ipa-2-0: 0a1dad215e131c4cd1deb902b6d8c8737650d0fa

Comment 6 Namita Soman 2011-10-18 13:32:24 UTC
Verified using ipa-client-2.1.2-2.el6.x86_64
Cannot reinstall using -f anymore....indicates message:
IPA client is already configured on this system.
If you want to reinstall the IPA client, uninstall it first
After uninstalling, files are restored, with such an install.

Comment 7 Rob Crittenden 2011-10-31 16:21:25 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Uninstalling a client that was reinstalling the --force option results in some files not being restored.
Consequence: Uninstalling the client does not return it to its original state.
Fix: The --force option was able to re-install over an already installed system causing the original saved files to be lost.
Result: You can no longer re-install over an installed client with the --force option. You have to uninstall and re-install.

Comment 8 errata-xmlrpc 2011-12-06 18:21:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.